Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEdgeEnhanceMetadata Class Reference
CaptureMetadata

Interface to edge enhancement metadata. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IEdgeEnhanceMetadata:

List of all members.

## Public Member Functions
virtual EdgeEnhanceMode | getEdgeEnhanceMode () const =0
| Returns the edge enhancement mode used for the capture.
virtual float | getEdgeEnhanceStrength () const =0
| Returns the edge enhancement strength used for the capture.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEdgeEnhanceMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to edge enhancement metadata.

Definition at line 406 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IEdgeEnhanceMetadata::~IEdgeEnhanceMetadata | ( |  | ) |
| inline protected

Definition at line 422 of file CaptureMetadata.h.

## Member Function Documentation

virtual EdgeEnhanceMode Argus::IEdgeEnhanceMetadata::getEdgeEnhanceMode | ( |  | ) | const
| pure virtual

Returns the edge enhancement mode used for the capture.

virtual float Argus::IEdgeEnhanceMetadata::getEdgeEnhanceStrength | ( |  | ) | const
| pure virtual

Returns the edge enhancement strength used for the capture.

static const InterfaceID& Argus::IEdgeEnhanceMetadata::id | ( |  | ) |
| inline static

Definition at line 409 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h